# Class BrightcoveVideoSource

#####
Index

### Constructors

constructor

### Properties

codec
codecs
container
encryption
extXVersion
isDrmEncrypted
keySystems
profiles
type
vmap

### Accessors

hasCodecInfo
hasFairplay
hasH264
hasH265
hasKeySystems
hasLegacyFairplay
hasPlayReady
hasValidSource
hasWidevine
isAes128Encryption
isDash
isHls
isHss
isHttp
isHttps
isMp4
mimeType
sourceUrl

### Methods

copy
mapToSource

## Constructors

### constructor

- new BrightcoveVideoSource(videoSourceDto): BrightcoveVideoSource

- #### Parameters

  - videoSourceDto: VideoSourceDto

  #### Returns BrightcoveVideoSource

## Properties

### `Readonly` codec

codec: string

### `Readonly` codecs

codecs: string

### `Readonly` container

container: string

### `Readonly` encryption

encryption: Record<string, unknown>

### `Readonly` extXVersion

extXVersion: null | number = null

### `Readonly` isDrmEncrypted

isDrmEncrypted: boolean = false

### `Readonly` keySystems

keySystems: Record<string, BrightcoveKeySystem>

### `Readonly` profiles

profiles: string

### `Readonly` type

type: string

### `Readonly` vmap

vmap: string

## Accessors

### hasCodecInfo

- get hasCodecInfo(): boolean

- #### Returns boolean

### hasFairplay

- get hasFairplay(): boolean

- #### Returns boolean

### hasH264

- get hasH264(): boolean

- #### Returns boolean

### hasH265

- get hasH265(): boolean

- #### Returns boolean

### hasKeySystems

- get hasKeySystems(): boolean

- #### Returns boolean

### hasLegacyFairplay

- get hasLegacyFairplay(): boolean

- #### Returns boolean

### hasPlayReady

- get hasPlayReady(): boolean

- #### Returns boolean

### hasValidSource

- get hasValidSource(): boolean

- #### Returns boolean

### hasWidevine

- get hasWidevine(): boolean

- #### Returns boolean

### isAes128Encryption

- get isAes128Encryption(): boolean

- #### Returns boolean

### isDash

- get isDash(): boolean

- #### Returns boolean

### isHls

- get isHls(): boolean

- #### Returns boolean

### isHss

- get isHss(): boolean

- #### Returns boolean

### isHttp

- get isHttp(): boolean

- #### Returns boolean

### isHttps

- get isHttps(): boolean

- #### Returns boolean

### isMp4

- get isMp4(): boolean

- #### Returns boolean

### mimeType

- get mimeType(): string

- #### Returns string

### sourceUrl

- get sourceUrl(): string

- #### Returns string

## Methods

### copy

- copy(): BrightcoveVideoSource

- #### Returns BrightcoveVideoSource

### mapToSource

- mapToSource(options): Source

- #### Parameters

  - options: MapToSourceOptions

  #### Returns Source